"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = require("./get-log");

var _promise = _interopRequireDefault(require("mysql2/promise"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const connect = async pool => {
  const log = (0, _getLog.getLog)('connect');
  log.debug('connecting to mysql databases');
  log.debug(`establishing connection`);
  const connection = await _promise.default.createConnection({ ...pool.connectionOptions,
    database: pool.database,
    multipleStatements: true
  });
  const [[{
    version
  }]] = await connection.query(`SELECT version() AS \`version\``);
  const major = +version.split('.')[0];

  if (isNaN(major) || major < 8) {
    throw new Error(`Supported MySQL version 8+, but got ${version}`);
  }

  log.debug(`connected successfully`);
  pool.connection = connection;
  log.debug('connection to mysql database established');
};

var _default = connect;
exports.default = _default;
//# sourceMappingURL=connect.js.map